<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters : managerBean -->
    <!-- inserts: specificSimulatorPanel, additionalPanels -->

    <s:div styleClass="gzl-alert gzl-alert-orange" rendered="#{not managerBean.selectedSimulator.enabled}">
        <span class="fa fa-exclamation-triangle"></span>
        <h:outputText value="#{messages['net.ihe.gazelle.atna.ThisSimulatorIsDisabledNoMoreTestsCanBePerformed']}"/>
    </s:div>

    <div class="row">
        <div class="col-md-6">
            <h:form id="simulatorForm">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.SimulatorIdentity']}</ui:define>
                    <dl class="dl-horizontal">

                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Keyword']}</ui:define>
                            <h:outputText value="#{managerBean.selectedSimulator.keyword}"/>
                        </ui:decorate>

                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Certificate']}</ui:define>
                            <h:outputText value="#{messages['net.ihe.gazelle.atna.None']}"
                                          rendered="#{managerBean.selectedSimulator.certificate == null}"/>
                            <h:outputLink
                                    value="#{certificateBean.permanentLinkToCert(managerBean.selectedSimulator.certificate.id)}"
                                    target="_blank" rendered="#{managerBean.selectedSimulator.certificate != null}">
                                #{managerBean.selectedSimulator.certificate.subject}
                            </h:outputLink>
                        </ui:decorate>

                    </dl>
                </ui:decorate>

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.PeerAuthentication']}</ui:define>
                    <dl class="dl-horizontal">
                        <h:panelGroup rendered="#{managerBean.isServer()}">

                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ClientAuthentication']}</ui:define>
                                <h:outputText value="#{messages['net.ihe.gazelle.atna.Required']}"
                                              rendered="#{managerBean.selectedSimulator.isNeedClientAuth()}"/>
                                <h:outputText value="#{messages['net.ihe.gazelle.atna.NotRequired']}"
                                              rendered="#{not managerBean.selectedSimulator.isNeedClientAuth()}"/>
                            </ui:decorate>

                        </h:panelGroup>

                        <h:panelGroup
                                rendered="#{not managerBean.isServer() or managerBean.selectedSimulator.isNeedClientAuth()}">

                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.TrustedIssuers']}</ui:define>
                                <h:outputText value="#{messages['net.ihe.gazelle.atna.SystemJavaCacertsTruststore']}"
                                              rendered="#{managerBean.selectedSimulator.isUseCACerts()}"/>
                                <rich:list var="issuerCert" value="#{managerBean.getSimulatorTrustedIssuers()}"
                                           rendered="#{not managerBean.selectedSimulator.isUseCACerts()}">
                                    <h:outputLink value="#{certificateBean.permanentLinkToCert(issuerCert.id)}"
                                                  target="_blank">
                                        #{issuerCert.subject}
                                    </h:outputLink>
                                </rich:list>
                            </ui:decorate>

                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateValidator']}</ui:define>
                                <h:outputText value="#{managerBean.selectedSimulator.validator}"
                                              rendered="#{managerBean.selectedSimulator.validator!=null}"/>
                                <h:outputText value="#{messages['net.ihe.gazelle.atna.None']}"
                                              rendered="#{managerBean.selectedSimulator.validator==null}"/>
                            </ui:decorate>

                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.CheckRevocation']}</ui:define>
                                <h:outputText value="#{managerBean.selectedSimulator.checkRevocation}"/>
                            </ui:decorate>

                        </h:panelGroup>
                    </dl>
                </ui:decorate>

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.SecurityParameters']}</ui:define>
                    <dl class="dl-horizontal">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SupportedProtocols']}</ui:define>
                            <rich:list var="protocol" value="#{managerBean.getSimulatorProtocols()}">
                                <h:outputText value="#{protocol.toString()}"/>
                            </rich:list>
                        </ui:decorate>

                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SupportedCipherSuites']}</ui:define>
                            <rich:list var="cipherSuite" value="#{managerBean.getSimulatorCipherSuites()}">
                                <h:outputText value="#{cipherSuite.toString()}"/>
                            </rich:list>
                        </ui:decorate>
                    </dl>
                </ui:decorate>
            </h:form>
        </div>

        <div class="col-md-6">
            <ui:insert name="specificSimulatorPanel"/>
        </div>
    </div>

    <p>
        <h:outputLink value="#{managerBean.linkToSimulatorList()}" title="#{messages['net.ihe.gazelle.audit.message.BackToList']}"
                      styleClass="gzl-btn">#{messages['net.ihe.gazelle.audit.message.BackToList']}
        </h:outputLink>
    </p>

    <hr/>

    <h3>#{messages['net.ihe.gazelle.atna.RecordedConnectionsInvolving']} #{managerBean.selectedSimulator.getKeyword()}</h3>
    <ui:include src="/details/connectionBrowser.xhtml">
        <ui:param name="browserBean" value="#{managerBean}"/>
        <ui:param name="displaySimulatorFilter" value="#{false}"/>
    </ui:include>

</ui:composition>
